org.jbpm.executor.impl.event

## Interface ExecutorEventSupport

- All Superinterfaces:
    Externalizable, Serializable
  All Known Implementing Classes:
    ExecutorEventSupportImpl

      public interface ExecutorEventSupport
      extends Externalizable

  Interface for ExecutorEventSupportImpl and ExecutorEventSupportEJBImpl so they both can be referenced by one type because the ExecutorEventSupportEJBImpl is no longer a subtype of ExecutorEventSupportImpl since it would violate EJB public methods specification like no final and synchronized public methods. This way, both ExecutorEventSupportImpl and ExecutorEventSupportEJBImpl can be used interchangeably depending on which implementation of ExecutionEventSupport should be used, i.e. plain Java implementation or EJB implementation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListener(AsynchronousJobListener listener)`
    `void` | `clear()`
    `void` | `fireAfterJobCancelled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireAfterJobExecuted(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireAfterJobScheduled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireBeforeJobCancelled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireBeforeJobExecuted(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireBeforeJobScheduled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `List<AsynchronousJobListener>` | `getEventListeners()`
    `boolean` | `isEmpty()`
    `void` | `notifyAllListeners(Consumer<AsynchronousJobListener> consumer)`
    `void` | `removeEventListener(AsynchronousJobListener listener)`
    `void` | `removeEventListener(Class cls)`
    `int` | `size()`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### notifyAllListeners

          void notifyAllListeners(Consumer<AsynchronousJobListener> consumer)

    - #### addEventListener

          void addEventListener(AsynchronousJobListener listener)

    - #### removeEventListener

          void removeEventListener(Class cls)

    - #### removeEventListener

          void removeEventListener(AsynchronousJobListener listener)

    - #### getEventListeners

          List<AsynchronousJobListener> getEventListeners()

    - #### size

          int size()

    - #### isEmpty

          boolean isEmpty()

    - #### clear

          void clear()

    - #### fireBeforeJobScheduled

          void fireBeforeJobScheduled(org.kie.api.executor.RequestInfo job,
                                      Throwable exception)

    - #### fireBeforeJobExecuted

          void fireBeforeJobExecuted(org.kie.api.executor.RequestInfo job,
                                     Throwable exception)

    - #### fireBeforeJobCancelled

          void fireBeforeJobCancelled(org.kie.api.executor.RequestInfo job,
                                      Throwable exception)

    - #### fireAfterJobScheduled

          void fireAfterJobScheduled(org.kie.api.executor.RequestInfo job,
                                     Throwable exception)

    - #### fireAfterJobExecuted

          void fireAfterJobExecuted(org.kie.api.executor.RequestInfo job,
                                    Throwable exception)

    - #### fireAfterJobCancelled

          void fireAfterJobCancelled(org.kie.api.executor.RequestInfo job,
                                     Throwable exception)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.